'
'   !------------------------------------------------------------------------!
'   !  Modul: AT_MAIN.bas                                                    !
'   !------------------------------------------------------------------------!
'   !                                                                        !
'   !  Hauptprogramm                                                         !
'   !  Micro Controller:  ATMEL M128                                         !
'   !  Bentigte Module:  AT_IO                                              !                                                                        !
'   !------------------------------------------------------------------------!
'   !  Datum    ! Name        ! Abt.    ! Aenderung                          !
'   !------------------------------------------------------------------------!
'   !  30.01.11 ! CoSoMa      !         ! Erstellung                         !
'   !------------------------------------------------------------------------!
'



$regfile = "m2561def.dat"                                   ' specify the used micro
$crystal = 4000000                                          ' used crystal frequency
$baud = 19200                                               ' use baud rate
$hwstack = 32                                               ' default use 32 for the hardware stack
$swstack = 10                                               ' default use 10 for the SW stack
$framesize = 40                                             ' default use 40 for the frame space


'Systemmodul
$include "AT_IO.bas"                                        'Interface fr Peripherie


'#######################################
'Dieses Modul muss der Anwender erstelle
'#######################################

$include "AT_USER.bas"                                      'Userprogramm






'###################################################
'Funktionen definieren
'###################################################

Declare Sub Main()

Declare Sub Read_inp()
Declare Sub Write_out()







Sub Main()

 'Voreinstellungen
 Init_lcd


'Durch die Schleife wird Main zyklisch bearbeitet
 Do

   '###################################
   'Digitaleingaenge, Tastatur, Analog
   '###################################

      Read_inp



   '##################################
   'User Program
   '##################################

      Usercycle






   '###################################
   'Digitalausgaenge
   '###################################

      Write_out

 Loop

End Sub




'##################################
'Rangierung der Eingnge
'##################################

Sub Read_inp()


   'Digital
    Read_io

   'Tastatur
    Read_kb


   'Analog incl. Wahlschalter
    Read_ai


End Sub


'##################################
'Rangierung der Ausgaenge
'##################################

Sub Write_out()


   Write_io


End Sub




End